"""
DTOs for FractionRuleOctave.
"""

from typing import Optional

from pydantic import BaseModel


class FractionRuleOctaveBaseDTO(BaseModel):
    PERMISSION: str
    LINE: int
    FRACTION: str
    QUOTA_AMOUNT: Optional[float]
    USED_AMOUNT: Optional[float]
    QUOTA_VALUE: Optional[float]
    USED_VALUE: Optional[float]
    UNIT_COST_ME: Optional[float]
    UNIT_MEASURE: Optional[str]


class FractionRuleOctaveCreateDTO(FractionRuleOctaveBaseDTO):
    pass


class FractionRuleOctaveResponseDTO(FractionRuleOctaveBaseDTO):
    class Config:
        from_attributes = True
